Page 1 of 2 12 LastLast
Results 1 to 10 of 13
  1. #1
    Join Date
    Jan 2011
    Posts
    47
    Plugin Contributions
    0

    Default Getting the "Whoops! Your session has expired."

    Getting the above error as son as I jump into the cart. This is a new install of v1.5. It definitely does not look right that customers will get a message like this as soon as they try to add a product to the cart (Screenshot attached). Any help that anyonecan provide would be appreciated....
    Attached Images Attached Images  
    Last edited by raphael; 22 Aug 2014 at 05:48 AM.

  2. #2
    Join Date
    Jan 2004
    Location
    N of San Antonio TX
    Posts
    8,639
    Plugin Contributions
    9

    Default Re: Getting the "Whoops! Your session has expired."

    1.5.???? Many other things we need to know in order to help. Please reply with answers to the posting tips.

  3. #3
    Join Date
    Jan 2011
    Posts
    47
    Plugin Contributions
    0

    Default Re: Getting the "Whoops! Your session has expired."

    This is a new install of zencart 1.5 however I had been running 1.3 for years and this worked fine. However I ran into an account issue with godaddy and ended up having to do a fresh install and reload my product catalog manually. It is completely unaccustomed at this time with no add-ons what so ever. My host is Godaddy and I'm using a dedicated SSL certificate. As far as I know its is hosted on a Windows OS. Started seeing this issue after my SSL certificate went live. Any help on this would be seriously appreciated.

    Server info:
    PHP 4.1.8

    DB - Server: Localhost via UNIX socket
    Server type: MySQL
    Server version: 5.5.35-cll-lve - MySQL Community Server

  4. #4
    Join Date
    Sep 2009
    Location
    Stuart, FL
    Posts
    11,313
    Plugin Contributions
    80

    Default Re: Getting the "Whoops! Your session has expired."

    You'll need to supply the full Zen Cart version number, e.g. Zen Cart v1.5.3 vs. v1.5.1, and verify that your PHP version is really 4.1.8. If that's really your PHP version, that's your issue; get your host to upgrade to a version of PHP that was produced in this century!

  5. #5
    Join Date
    Jan 2011
    Posts
    47
    Plugin Contributions
    0

    Default Re: Getting the "Whoops! Your session has expired."

    Actually let me try to explain more about what I am doing, as I still have this problem and I am getting nowhere. Basically I'm trying to bypass the zencart product listing and go directly to the cart. This means I use a custom add to cart button on my own product page (not a zencart page (example: http://www.thekeywestsoapfactory.com...deadseaslt.htm). The add to cart button uses the below custom link to add the product directly to the zc shopping cart bypassing the the product listing page:

    <form name="cart_quantity" action="http://thekeywestsoapfactory.com/zencart/index.php?main_page=product_info&amp;cPath=1&amp;products_id=3&amp;action=add_pr oduct" method="post" enctype="multipart/form-data">
    <div id="cartAdd">
    Order:<br>

    <input type="hidden" name="cart_quantity" value="1" maxlength="6" size="4" />
    <input type="hidden" name="products_id" value="4" />
    <inputtype="image" src="../Images/addtocart2.gif" alt="Add to Cart" title=" Add to Cart " /> </form>


    This has been working fine on my site since 2011, however after a recent reinstall I am now getting the "Whoops! Your session has expired." error, when hitting the above add to cart button. I'm thinking I'm missing a setting somewhere in the zc config. Can someone please help me as I am desperate to get past this issue. I am weilling to even have a phone conversation in necessary.

  6. #6
    Join Date
    Sep 2009
    Location
    Stuart, FL
    Posts
    11,313
    Plugin Contributions
    80

    Default Re: Getting the "Whoops! Your session has expired."

    Your "custom form" does not include a hidden input that contains a copy of the current session's securityToken (required for all forms using the POST method). The built-in Zen Cart processing "kicks back" any form that POSTs data that doesn't include the securityToken.

  7. #7
    Join Date
    Jan 2011
    Posts
    47
    Plugin Contributions
    0

    Default Re: Getting the "Whoops! Your session has expired."

    Thanks lat9 for the info. Do you know how I can get this to work? Also any idea why this worked for years then all of a sudden this problem? Do I need to go back down to 1.3h?

  8. #8
    Join Date
    Sep 2009
    Location
    Stuart, FL
    Posts
    11,313
    Plugin Contributions
    80

    Default Re: Getting the "Whoops! Your session has expired."

    Quote Originally Posted by raphael View Post
    Thanks lat9 for the info. Do you know how I can get this to work? Also any idea why this worked for years then all of a sudden this problem? Do I need to go back down to 1.3h?
    The securityToken processing (and posted-form rejection without it) started with Zen Cart v1.5.0. Was there some reason that you've got all of your products' add-to-cart processing outside of the standard Zen Cart handling?

  9. #9
    Join Date
    Jan 2011
    Posts
    47
    Plugin Contributions
    0

    Default Re: Getting the "Whoops! Your session has expired."

    Because the zc product pages do not match up with the look and feel of my site. Thus I decided to only use the cart portion of zc and it worked fine for years. Also it was the quickest way to transition off of my previous paid merchant/cart provider without changing the look and feel o my site. So are you basically say I need to go back to 1.3h to continue my current approach?

  10. #10
    Join Date
    Sep 2009
    Location
    Stuart, FL
    Posts
    11,313
    Plugin Contributions
    80

    Default Re: Getting the "Whoops! Your session has expired."

    Quote Originally Posted by raphael View Post
    Because the zc product pages do not match up with the look and feel of my site. Thus I decided to only use the cart portion of zc and it worked fine for years. Also it was the quickest way to transition off of my previous paid merchant/cart provider without changing the look and feel o my site. So are you basically say I need to go back to 1.3h to continue my current approach?
    Assuming that your "product pages" are all static HTML, I don't see a quick/easy way to coerce their add-to-cart processing to operate under later Zen Cart versions. That's not to say that it's impossible, but there's no magic solution.

    I'd suggest finding a way for your approach to operate under Zen Cart v1.5.3, since the v1.3.x series is very long-in-tooth and will have issues if/when your webhost decrees that all sites shall be updated to a supported version of PHP (i.e. PHP 5.4 or later; 5.3 was declared end-of-life (EOL) on August 14, 2014).

 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. v137 Whoops! Your session has expired. Session Question.
    By weblamer in forum Upgrading to 1.5.x
    Replies: 5
    Last Post: 7 Jun 2015, 07:20 PM
  2. Replies: 14
    Last Post: 24 Dec 2012, 02:28 PM
  3. "your session has expired" when adding to cart
    By articleck in forum Basic Configuration
    Replies: 6
    Last Post: 13 Nov 2011, 04:14 AM
  4. Google Sandbox ok, Live "Whoops! Your session has expired"
    By sduffey in forum Addon Payment Modules
    Replies: 1
    Last Post: 29 Oct 2010, 04:40 PM
  5. "Your session has expired" with Authorize.net SIM
    By HDG in forum Managing Customers and Orders
    Replies: 2
    Last Post: 12 Oct 2010, 01:48 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR